# QCA::BasicContext Class Reference
[QCA provider API]

Base class to use for primitive provider contexts. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::BasicContext:

Collaboration diagram for QCA::BasicContext:

[legend]

List of all members.

## Protected Member Functions

| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)

## Detailed Description

Base class to use for primitive provider contexts.

For internal use only.

This class inherits Provider::Context and calls moveToThread(0) on itself, thereby disabling the event properties of the underlying QObject. Context types that need to be a QObject should inherit from Provider::Context, those that don't should inherit from BasicContext.

## Constructor & Destructor Documentation

QCA::BasicContext::BasicContext | ( | Provider * | parent,
|  | const QString & | type |
| ) |  |  | `[protected]`

Standard constructor.

Parameters:

  | parent | the parent provider for this context
  | type | the name of the provider context type

QCA::BasicContext::BasicContext | ( | const BasicContext & | from | ) | `[protected]`

Copy constructor.

Parameters:

  | from | the Context to copy from

The documentation for this class was generated from the following file:

- qca_core.h